XMLWriter::writeElementNS
XMLWriter::writePI
XMLWriter Functions
PHP Manual

# XMLWriter::writeElement

(No version information available, might be only in CVS)

XMLWriter::writeElement — Write full element tag

### Description

Object oriented style:

XMLWriter
bool writeElement ( string `$name` [, string `$content` ] )

Procedural style:

bool xmlwriter_write_element ( resource `$xmlwriter` , string `$name` [, string `$content` ] )

Writes a full element tag.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`name`

  The element name.

`content`

  The element contents.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### ChangeLog

Version | Description
--- | ---
PHP 5.2.3 | The `content` parameter became optional.

### See Also

- XMLWriter::startElement
- XMLWriter::endElement
- XMLWriter::writeElementNS

XMLWriter::writeElementNS
XMLWriter::writePI
XMLWriter Functions
PHP Manual